Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Functions
dir.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | direct
struct | DIR

## Macros
#define | opendir(s) rb_w32_opendir((s))
#define | readdir(d) rb_w32_readdir((d), 0)
#define | telldir(d) rb_w32_telldir((d))
#define | seekdir(d, l) rb_w32_seekdir((d), (l))
#define | rewinddir(d) rb_w32_rewinddir((d))
#define | closedir(d) rb_w32_closedir((d))

## Functions
DIR * | rb_w32_opendir (const char *)
DIR * | rb_w32_uopendir (const char *)
struct direct * | rb_w32_readdir (DIR *, rb_encoding *)
long | rb_w32_telldir (DIR *)
void | rb_w32_seekdir (DIR *, long)
void | rb_w32_rewinddir (DIR *)
void | rb_w32_closedir (DIR *)

## Macro Definition Documentation

#define closedir | ( |  | d) |  | rb_w32_closedir((d))

Definition at line 43 of file dir.h.

Referenced by dir_close(), dir_free(), dir_initialize(), and glob_helper().

#define opendir | ( |  | s) |  | rb_w32_opendir((s))

Definition at line 38 of file dir.h.

Referenced by dir_initialize(), and do_opendir().

#define readdir | ( |  | d) |  | rb_w32_readdir((d), 0)

Definition at line 39 of file dir.h.

#define rewinddir | ( |  | d) |  | rb_w32_rewinddir((d))

Definition at line 42 of file dir.h.

#define seekdir | ( |  | d,
|  |  | l
| ) |  | rb_w32_seekdir((d), (l))

Definition at line 41 of file dir.h.

#define telldir | ( |  | d) |  | rb_w32_telldir((d))

Definition at line 40 of file dir.h.

## Function Documentation

void rb_w32_closedir | ( | DIR * | ) |  |

Definition at line 2088 of file win32.c.

References DIR::bits, direct::d_name, DIR::dirstr, free(), and DIR::start.

Referenced by opendir_internal().

DIR* rb_w32_opendir | ( | const char * | ) |  |

Definition at line 1897 of file win32.c.

References filecp_to_wstr, free(), NULL, and opendir_internal().

struct direct* rb_w32_readdir | ( | DIR * | ,
|  | rb_encoding * |
| ) |  |

Definition at line 2036 of file win32.c.

References NULL, rb_ascii8bit_encoding(), readdir_internal(), ruby_direct_conv(), and win32_direct_conv().

void rb_w32_rewinddir | ( | DIR * | ) |  |

Definition at line 2076 of file win32.c.

References DIR::curr, DIR::loc, and DIR::start.

Referenced by rb_w32_seekdir().

void rb_w32_seekdir | ( | DIR * | ,
|  | long |
| ) |  |

Definition at line 2061 of file win32.c.

References DIR::curr, DIR::loc, move_to_next_entry(), and rb_w32_rewinddir().

long rb_w32_telldir | ( | DIR * | ) |  |

Definition at line 2050 of file win32.c.

References DIR::loc.

DIR* rb_w32_uopendir | ( | const char * | ) |  |

Definition at line 1910 of file win32.c.

References free(), NULL, opendir_internal(), and utf8_to_wstr.